Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8269/?format=api
{ "ob_id": 8269, "uuid": "35a68ae7f6bcad835e76ad8cdd8b8190", "title": "Near InfraRed (NIR) red-edge data for Northern Ireland", "abstract": "Near InfraRed red-edge imagery for Northern Ireland from 2009 to 2011 was acquired by the Landmap project from RapidEye. The imagery has a spatial resolution of 6.5metres and contains 5 spectral bands. The Joint Information Systems Committee (JISC) funded Landmap service which ran from 2001 to July 2014 collected and hosted a large amount of earth observation data for the majority of the UK. After removal of JISC funding in 2013, the Landmap service is no longer operational, with the data now held at the NEODC.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2014-08-12T13:43:44", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8270/?format=api", "dataPath": "/neodc/landmap/data/optical/nir_red-edge", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 12292763938, "numberOfFiles": 834, "fileFormat": "<div property=\"cedacat:formats\">\n<div class=\"formats\">Data availability and file format</div>\nData are available in GeoTiff format. GeoTiff files can be opened by most Geographic Information Systems (GIS) and Image Processors (IP) such as the freely available <a href=\"http://www.brockmann-consult.de/cms/web/beam/\">Basic ERS &amp; Envisat (A)ATSR and Meris Toolbox (BEAM)</a>. The following metadata files are provided with their respective images:\n<ul>\n<li>XML: These files contain information such as latitude/longitude, collection date etc. of the particular image. General information about the product is also available.</li>\n<li>GeoTiff files with the _browse suffix: These files show the full extent of valid imagery available for the given image tile, regardless of any black-fill. The resolution of these files is comparatively less than the valid imagery - around 48m.</li>\n<li>GeoTiff files with the _udm suffix: The Unusuable Data Mask (UDM) files are generated by the system during a cloud detection operation applied on each acquired image. The UDM files also show the full extent of valid imagery. For more information about the characteristics of the UDM files see the <a href=\"http://blackbridge.com/rapideye/upload/RE_Product_Specifications_ENG.pdf\">RapidEye Satellite Imagery\nProduct Specifications guide</a></li>\n<li>TXT: These are simple license and readme text files that contain the text of license related to terms and conditions between buyer and the RapidEye, and copyright information respectively.</li>\n</ul>\nThe data are split into folders for 2009, 2010 and 2011.\n</div>\n\n\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2368/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/189/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by the Landmap team before a copy of the data were obtained by NEODC directly from Landmap.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5314/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8044/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8212/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33234/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33235/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33236/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33237/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41746/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33233/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41748/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/108884/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41747/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8276/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2576/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "noaccess", "accessRoles": null, "label": "noaccess: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }